Bug 1151784 - (CVE-2019-16711) VUL-1: CVE-2019-16711: ImageMagick: memory leak in Huffman2DEncodeImage in coders/ps2.c
(CVE-2019-16711)
VUL-1: CVE-2019-16711: ImageMagick: memory leak in Huffman2DEncodeImage in co...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P4 - Low : Normal
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/243155/
CVSSv3:SUSE:CVE-2019-16711:5.3:(AV:N/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-24 07:52 UTC by Alexander Bergmann
Modified: 2020-04-23 16:05 UTC (History)
2 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Comment 1 Petr Gajdos 2019-10-08 12:28:24 UTC
BEFORE

15,12,11/ImageMagick:

$ valgrind --leak-check=full -q magick composite Memory-Leak-1 Memory-Leak-2 output.ps2
composite: no decode delegate for this image format `8BIM' @ error/constitute.c/ReadImage/512.
composite: unexpected end-of-file 'Memory-Leak-2': No such file or directory @ error/fax.c/FaxReadG3/144.
composite:  `output.ps2' @ error/composite.c/CompositeImageCommand/1626.
$

In 12/ImageMagick, there is also no memory leak reported despite conditional jumps errors.


PATCH

referenced in comment 0
11/ImageMagick: the code is in compress.c, but not vulnerable
15.x/GraphicsMagick? the code is not vulnerable
Comment 2 Petr Gajdos 2019-10-08 12:28:43 UTC
Will submit for 15,12/ImageMagick.
Comment 4 Petr Gajdos 2019-10-08 14:03:29 UTC
I believe all fixed.
Comment 5 Swamp Workflow Management 2019-10-25 16:22:54 UTC
SUSE-SU-2019:2785-1: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1146068,1146211,1146212,1146213,1151781,1151782,1151783,1151784,1151785,1151786
CVE References: CVE-2019-14980,CVE-2019-15139,CVE-2019-15140,CVE-2019-15141,CVE-2019-16708,CVE-2019-16709,CVE-2019-16710,CVE-2019-16711,CVE-2019-16712,CVE-2019-16713
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    ImageMagick-6.8.8.1-71.131.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    ImageMagick-6.8.8.1-71.131.1
SUSE Linux Enterprise Server 12-SP4 (src):    ImageMagick-6.8.8.1-71.131.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    ImageMagick-6.8.8.1-71.131.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-11-05 14:15:39 UTC
SUSE-SU-2019:2896-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1146065,1146068,1146211,1146212,1146213,1151781,1151782,1151783,1151784,1151785,1151786
CVE References: CVE-2019-14980,CVE-2019-14981,CVE-2019-15139,CVE-2019-15140,CVE-2019-15141,CVE-2019-16708,CVE-2019-16709,CVE-2019-16710,CVE-2019-16711,CVE-2019-16712,CVE-2019-16713
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    ImageMagick-7.0.7.34-3.72.1
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    ImageMagick-7.0.7.34-3.72.1
SUSE Linux Enterprise Module for Development Tools 15-SP1 (src):    ImageMagick-7.0.7.34-3.72.1
SUSE Linux Enterprise Module for Development Tools 15 (src):    ImageMagick-7.0.7.34-3.72.1
SUSE Linux Enterprise Module for Desktop Applications 15-SP1 (src):    ImageMagick-7.0.7.34-3.72.1
SUSE Linux Enterprise Module for Desktop Applications 15 (src):    ImageMagick-7.0.7.34-3.72.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 7 Swamp Workflow Management 2019-11-14 20:12:42 UTC
SUSE-SU-2019:2785-2: An update that fixes 10 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1146068,1146211,1146212,1146213,1151781,1151782,1151783,1151784,1151785,1151786
CVE References: CVE-2019-14980,CVE-2019-15139,CVE-2019-15140,CVE-2019-15141,CVE-2019-16708,CVE-2019-16709,CVE-2019-16710,CVE-2019-16711,CVE-2019-16712,CVE-2019-16713
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP5 (src):    ImageMagick-6.8.8.1-71.131.1
SUSE Linux Enterprise Software Development Kit 12-SP5 (src):    ImageMagick-6.8.8.1-71.131.1
SUSE Linux Enterprise Server 12-SP5 (src):    ImageMagick-6.8.8.1-71.131.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2019-11-15 11:12:47 UTC
openSUSE-SU-2019:2515-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1146065,1146068,1146211,1146212,1146213,1151781,1151782,1151783,1151784,1151785,1151786
CVE References: CVE-2019-14980,CVE-2019-14981,CVE-2019-15139,CVE-2019-15140,CVE-2019-15141,CVE-2019-16708,CVE-2019-16709,CVE-2019-16710,CVE-2019-16711,CVE-2019-16712,CVE-2019-16713
Sources used:
openSUSE Leap 15.1 (src):    ImageMagick-7.0.7.34-lp151.7.12.1
Comment 9 Swamp Workflow Management 2019-11-16 14:11:55 UTC
openSUSE-SU-2019:2519-1: An update that fixes 11 vulnerabilities is now available.

Category: security (moderate)
Bug References: 1146065,1146068,1146211,1146212,1146213,1151781,1151782,1151783,1151784,1151785,1151786
CVE References: CVE-2019-14980,CVE-2019-14981,CVE-2019-15139,CVE-2019-15140,CVE-2019-15141,CVE-2019-16708,CVE-2019-16709,CVE-2019-16710,CVE-2019-16711,CVE-2019-16712,CVE-2019-16713
Sources used:
openSUSE Leap 15.0 (src):    ImageMagick-7.0.7.34-lp150.2.41.1
Comment 10 Alexandros Toptsoglou 2020-04-23 16:05:16 UTC
Done